Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASRT

    java.lang.Object
      org.netlib.lapack.SLASRT

    public class SLASRT

extends java.lang.Object

    SLASRT is a simplified interface to the JLAPACK routine slasrt.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Sort the numbers in D in increasing order (if ID = 'I') or
     *  in decreasing order (if ID = 'D' ).
     *
     *  Use Quick Sort, reverting to Insertion sort on arrays of
     *  size <= 20. Dimension of STACK limits N to about 2**32.
     *
     *  Arguments
     *  =========
     *
     *  ID      (input) CHARACTER*1
     *          = 'I': sort D in increasing order;
     *          = 'D': sort D in decreasing order.
     *
     *  N       (input) INTEGER
     *          The length of the array D.
     *
     *  D       (input/output) REAL array, dimension (N)
     *          On entry, the array to be sorted.
     *          On exit, D has been sorted into increasing order
     *          (D(1) <= ... <= D(N) ) or into decreasing order
     *          (D(1) >= ... >= D(N) ), depending on ID.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASRT()`

Method Summary
`static void` | `SLASRT(java.lang.String id, int n, float[] d, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASRT

    public SLASRT()

Method Detail

### SLASRT

    public static void SLASRT(java.lang.String id,
                              int n,
                              float[] d,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD